Summary:	Post-processing scanned and photocopied book pages
Name:		unpaper
# the newest version is 0.3, the old one was 1.1. Epoch is needed.
Epoch:		1
Version:	6.1
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphics/Scanning
Url:		https://www.flameeyes.eu/projects/unpaper
Source:		https://www.flameeyes.eu/files/unpaper-%{version}.tar.xz

BuildRequires:	netpbm
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(libavutil)

%description
unpaper is a post-processing tool for scanned sheets of paper,
especially for book pages that have been scanned from previously
created photocopies.  The main purpose is to make scanned book pages
better readable on screen after conversion to PDF. Additionally,
unpaper might be useful to enhance the quality of scanned pages before
performing optical character recognition (OCR).

unpaper tries to clean scanned images by removing dark edges that
appeared through scanning or copying on areas outside the actual page
content (e.g.  dark areas between the left-hand-side and the
right-hand-side of a double- sided book-page scan).  The program also
tries to detect disaligned centering and rotation of pages and will
automatically straighten each page by rotating it to the correct
angle. This is called "deskewing".  Note that the automatic processing
will sometimes fail. It is always a good idea to manually control the
results of unpaper and adjust the parameter settings according to the
requirements of the input. Each processing step can also be disabled
individually for each sheet.

Input and output files can be in either .pbm or .pgm format, as also
used by the Linux scanning tools scanimage and scanadf.  Conversion to
PDF can e.g. be achieved with the Linux tools pgm2tiff, tiffcp and
tiff2pdf.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
rm -fr %{buildroot}%{_datadir}/doc

%files
%doc doc/* README.md NEWS
%license COPYING
%_bindir/*
%_mandir/man1/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1:6.1-4.mga8
+ Revision: 1517723
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:6.1-3.mga7
+ Revision: 1301531
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 daviddavid <daviddavid> 1:6.1-2.mga7
+ Revision: 1223561
- rebuild for new ffmpeg 4.0

* Mon Aug 14 2017 daviddavid <daviddavid> 1:6.1-1.mga7
+ Revision: 1140290
- new version: 6.1

* Sat Jan 30 2016 umeabot <umeabot> 1:0.4.2-5.mga6
+ Revision: 929097
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.4.2-4.mga5
+ Revision: 749529
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.4.2-3.mga5
+ Revision: 690058
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:0.4.2-2.mga4
+ Revision: 528405
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 fwang <fwang> 1:0.4.2-1.mga4
+ Revision: 444849
- update file list
- new version 0.4.2

* Mon Jan 14 2013 umeabot <umeabot> 1:0.3-6.mga3
+ Revision: 385074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 malo <malo> 1:0.3-5.mga3
+ Revision: 328909
- update RPM group

* Wed May 04 2011 ahmad <ahmad> 1:0.3-4.mga1
+ Revision: 94839
- imported package unpaper


* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:0.3-3mdv2010.0
+ Revision: 434546
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.3-2mdv2009.0
+ Revision: 269449
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 29 2008 Tiago Salem <salem@mandriva.com.br> 1:0.3-1mdv2009.0
+ Revision: 198972
- version 0.3. Fixes bug #40466.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1-2mdv2008.0
+ Revision: 70347
- use %%mkrel

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Import unpaper





* Sat Aug 27 2005 Till Kamppeter <till@mandrakesoft.com> 1.1-1mdk
- Updated to version 1.1.

* Sat Mar  5 2005 Till Kamppeter <till@mandrakesoft.com> 1.0-1mdk
- Initial release
